slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSetType

Selects the particular solver to be used in the PEP object.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetType(PEP pep,PEPType type)

Logically Collective

### Input Parameters

| pep | - the polynomial eigensolver context
| type | - a known method

### Options Database Key

| -pep_type <method> | - Sets the method; use -help for a list of available methods

### Notes

See "slepc/include/slepcpep.h" for available methods. The default is PEPTOAR.

Normally, it is best to use the PEPSetFromOptions() command and then set the PEP type from the options database rather than by using this routine. Using the options database provides the user with maximum flexibility in evaluating the different available methods. The PEPSetType() routine is provided for those situations where it is necessary to set the iterative solver independently of the command line or options database.

### See Also

PEPType

### Level

intermediate

### Location

src/pep/interface/pepbasic.c

### Examples

src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages